OffsetCenterPointCollection Class

class NXOpen.Annotations.OffsetCenterPointCollection

Bases: object

Represents a collection of NXOpen.Annotations.OffsetCenterPoint objects

To obtain an instance of this class, refer to NXOpen.Annotations.AnnotationManager

New in version NX6.0.0.

Methods

Method Description
CreateOffsetCenterPointBuilder Creates the OffsetCenterPointBuilder
FindObject Finds the offset center point with the given name.

Method Detail

CreateOffsetCenterPointBuilder

OffsetCenterPointCollection.CreateOffsetCenterPointBuilder

Creates the OffsetCenterPointBuilder

Signature CreateOffsetCenterPointBuilder(centerPoint)

Parameters:centerPoint (NXOpen.Annotations.OffsetCenterPoint) – NXOpen.Annotations.OffsetCenterPoint to be edited, if None then create a new one
Returns:OffsetCenterPointCenterlineBuilder object
Return type:NXOpen.Annotations.OffsetCenterPointBuilder

New in version NX6.0.0.

License requirements: drafting (“DRAFTING”)

FindObject

OffsetCenterPointCollection.FindObject

Finds the offset center point with the given name.

An exception will be thrown if no object can be found with given name

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier of the offset center point to be found
Returns:OffsetCenterPoint with this identifier
Return type:NXOpen.Annotations.OffsetCenterPoint

New in version NX6.0.0.

License requirements: None.